Subject: bug#35484: closed (Re: bug#35484: GDM failing to start stumpwm after merge)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Apr 2019 03:21:02 +0000

Your bug report

#35484: GDM failing to start stumpwm after merge

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35484: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35484
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35484: GDM failing to start stumpwm after merge
From: Timothy Sample <[email-masked]>
To: Brett Gilio <[email-masked]>
Cc: [email-masked]
Date: Mon, 29 Apr 2019 23:20:04 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Brett,

Brett Gilio <[email-masked]> writes:

> Timothy Sample writes:
>
>> Hi Brett,
>>
>> [...]
>>
>> I can think of two options for a fix before 1.0 (which is supposed to be
>> tomorrow!).  The cute one is to just rename “Fail” to “~Fail”, on the
>> expectation that this will come after most other names when sorted.  The
>> ugly one is to patch GDM to exclude the placeholder file when looking
>> for “.desktop” files, and then to select it instead of raising an error
>> when it can’t find anything.
>>
>> My preference is for the ugly one, because the cute one feels like
>> putting a silly hack on top of silly hack – it’s just a bit too much.
>> I’ve attached a patch.  Thoughts?  (If I don’t hear anything, I will
>> push it – it’s important that this works for 1.0).
>>
>>
>> In the future, we should find a way to make GDM errors less
>> catastrophic, but I doubt we could do that in a day (I certainly
>> couldn’t)!
>>
>>> Thank you for looking into this Tim! I have gone back to SLiM for the
>>> time being until it is fixed :).
>>>
>>> If anybody else is having this issue, going back to SLiM is really
>>> easy, check out my commit for reference.
>>>
>>> https://github.com/brettgilio/guix-system/commit/64d389db13c2f78ee5c58af28c1639b098113c93
>>
>> Thanks for providing this.  Hopefully it helps anybody else having
>> problems.
>>
>>
>> -- Tim
>
> I think the uglier version is more generic and less likely to cause
> future errors. But, it is a matter of time. The uglier one is likely
> going to be more terse.
>
> Do you need any help on my end?

No, but thank you for offering and thanks for catching my mistake before
we released 1.0.  :)

I pushed e8c6e771c199c02b748eb66d3a03c46d2a32ca29 to master, which
should fix this.  Hence, I’m closing the bug.

-- Tim

Subject: GDM failing to start stumpwm after merge
From: Brett Gilio <[email-masked]>
To: Bug guix <[email-masked]>
Date: Sun, 28 Apr 2019 23:30:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey all

I just reconfigured my system configuration after the big staging merge
to master. I use StumpWM.

GDM seems to be starting just fine, but after this reconfiguration
stumpwm or X or something is crashing for me and looping me back to GDM.

Where are the logs I can view for this? I see some message appear but
quickly disappear before looping back into GDM.

If I can get the logs I can share them or try and figure it out myself.

Best,
Brett Gilio